GET /image-inventory

GET /image-inventory

/image-inventory

Request
URI
GET
https://{api_host}/api/image-inventory
COPY
Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ImageInventory of type(s) application/json
{
    "count": 0,
    "results": [
        {
            "image_info": [
                {
                    "image": {
                        "_last_modified": "string",
                        "cloud_info_values": [
                            {
                                "cloud_data_values": [
                                    {
                                        "key": "string",
                                        "values": [
                                            "string"
                                        ]
                                    }
                                ],
                                "cloud_name": "string"
                            }
                        ],
                        "controller_info": {
                            "build": {
                                "build_no": 0,
                                "date": "string",
                                "min_version": "string",
                                "patch_version": "string",
                                "product": "string",
                                "product_name": "string",
                                "tag": "string",
                                "version": "string"
                            },
                            "hash": "string",
                            "patch": {
                                "patch_type": "string",
                                "reboot": false,
                                "reboot_list": [
                                    {
                                        "patch_version": "string",
                                        "reboot": false
                                    }
                                ]
                            },
                            "path": "string"
                        },
                        "controller_patch_name": "string",
                        "controller_patch_ref": "string",
                        "dryrun_info": {
                            "build": {
                                "build_no": 0,
                                "date": "string",
                                "min_version": "string",
                                "patch_version": "string",
                                "product": "string",
                                "product_name": "string",
                                "tag": "string",
                                "version": "string"
                            },
                            "hash": "string",
                            "patch": {
                                "patch_type": "string",
                                "reboot": false,
                                "reboot_list": [
                                    {
                                        "patch_version": "string",
                                        "reboot": false
                                    }
                                ]
                            },
                            "path": "string"
                        },
                        "duration": 0,
                        "end_time": "string",
                        "events": [
                            {
                                "nodes_events": [
                                    {
                                        "duration": 0,
                                        "end_time": "string",
                                        "ip": {
                                            "addr": "string",
                                            "type": "string"
                                        },
                                        "message": "string",
                                        "start_time": "string",
                                        "status": "string",
                                        "sub_tasks": [
                                            "string"
                                        ]
                                    }
                                ],
                                "sub_events": [
                                    {
                                        "duration": 0,
                                        "end_time": "string",
                                        "ip": {
                                            "addr": "string",
                                            "type": "string"
                                        },
                                        "message": "string",
                                        "start_time": "string",
                                        "status": "string",
                                        "sub_tasks": [
                                            "string"
                                        ]
                                    }
                                ],
                                "task_name": "string"
                            }
                        ],
                        "fips_mode_transition_applicable": false,
                        "img_state": {
                            "last_changed_time": {
                                "secs": 0,
                                "usecs": 0
                            },
                            "reason": "string",
                            "state": "string"
                        },
                        "migrations": {
                            "api_version": "string",
                            "controller_host_min_free_disk_size": 0,
                            "controller_min_cores": 0,
                            "controller_min_docker_version": "string",
                            "controller_min_free_disk_size": 0,
                            "controller_min_memory": 0,
                            "controller_min_total_disk": 0,
                            "dryrun_min_cores": 0,
                            "dryrun_min_free_disk_size": 0,
                            "dryrun_min_memory": "number",
                            "dryrun_total_memory_required": "number",
                            "max_active_versions": 0,
                            "min_supported_api_version": "string",
                            "podman_controller_host_min_free_disk_size": 0,
                            "podman_se_host_min_free_disk_size": 0,
                            "rollback_controller_disk_space": 0,
                            "rollback_se_disk_space": 0,
                            "se_host_min_free_disk_size": 0,
                            "se_min_cores": 0,
                            "se_min_free_disk_size": 0,
                            "se_min_memory": 0,
                            "se_min_total_disk": 0,
                            "versions": [
                                "string"
                            ]
                        },
                        "name": "string",
                        "progress": 0,
                        "se_info": {
                            "build": {
                                "build_no": 0,
                                "date": "string",
                                "min_version": "string",
                                "patch_version": "string",
                                "product": "string",
                                "product_name": "string",
                                "tag": "string",
                                "version": "string"
                            },
                            "hash": "string",
                            "patch": {
                                "patch_type": "string",
                                "reboot": false,
                                "reboot_list": [
                                    {
                                        "patch_version": "string",
                                        "reboot": false
                                    }
                                ]
                            },
                            "path": "string"
                        },
                        "se_patch_name": "string",
                        "se_patch_ref": "string",
                        "start_time": "string",
                        "tasks_completed": 0,
                        "tenant_ref": "string",
                        "total_tasks": 0,
                        "type": "string",
                        "uber_bundle": false,
                        "url": "string",
                        "uuid": "string"
                    },
                    "in_use": false,
                    "in_use_info": [
                        {
                            "name": "string",
                            "node_type": "string",
                            "uuid": "string"
                        }
                    ]
                }
            ],
            "version": "string"
        }
    ]
}
integer As int32 As int32
count
Optional

Count of total entries in Image Inventory. Field introduced in 18.2.6. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
results
Optional

Information of all the images for inventory. Field introduced in 18.2.6. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/image-inventory